Package net.shibboleth.idp.authn

# Interface CredentialValidator.ErrorHandler

All Known Implementing Classes:
  `ValidateCredentials`

Enclosing interface:
  CredentialValidator

@ThreadSafe public static interface CredentialValidator.ErrorHandler
Interface to use to report errors to the caller.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleError(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext, Exception e, String eventId)`
Reports an error state to the caller.
`void`
`handleError(ProfileRequestContext profileRequestContext, AuthenticationContext authenticationContext, String message, String eventId)`
Reports an error state to the caller.

## Method Details

### handleError

void handleError(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull AuthenticationContext authenticationContext, @Nonnull Exception e, @Nonnull @NotEmpty String eventId)
Reports an error state to the caller.

Errors should never be reported as part of a successful login.

Parameters:
  `profileRequestContext` - the current profile request context
  `authenticationContext` - the current authentication context
  `e` - exception to report
  `eventId` - a default webflow event to report as the result of the calling action

### handleError

void handleError(@Nonnull ProfileRequestContext profileRequestContext, @Nonnull AuthenticationContext authenticationContext, @Nullable String message, @Nonnull @NotEmpty String eventId)
Reports an error state to the caller.

Errors should never be reported as part of a successful login.

Parameters:
  `profileRequestContext` - the current profile request context
  `authenticationContext` - the current authentication context
  `message` - to report
  `eventId` - a default webflow event to report as the result of the calling action